import request from '@/utils/request'

// 查询税务处罚-税务催告列表
export function listUrge(query) {
    return request({
        url: '/crmTaxUrge/findByPage',
        method: 'get',
        params: query
    })
}

// 查询税务处罚-税务催告详细
export function getUrge(id) {
    return request({
        url: '/crmTaxUrge/' + id,
        method: 'get'
    })
}

// 新增税务处罚-税务催告
export function addUrge(data) {
    return request({
        url: '/crmTaxUrge',
        method: 'post',
        data: data
    })
}

// 修改税务处罚-税务催告
export function updateUrge(data) {
    return request({
        url: '/crmTaxUrge',
        method: 'put',
        data: data
    })
}

// 删除税务处罚-税务催告
export function delUrge(id) {
    return request({
        url: '/crmTaxUrge/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delUrgeBatch(ids) {
    console.log(ids);
    return request.post('/crmTaxUrge/delete',ids)
}